XmVaCreateDrawnButton(3)

NAME
XmVaCreateDrawnButton, XmVaCreateManagedDrawnButton — A DrawnButton widget convenience creation functions.

SYNOPSIS

#include <Xm/DrawnB.h>

Widget XmVaCreateDrawnButton(
Widget parent,
String name,
...);

Widget XmVaCreateManagedDrawnButton(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a DrawnButton widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateDrawnButton function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedDrawnButton function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of DrawnButton and its associated resources, see XmDrawnButton(3).

RETURN

Returns the DrawnButton widget ID.

RELATED

XmDrawnButton(3), XmCreateDrawnButton(3), XtCreateWidget(3), and XtCreateManagedWidget(3).